## org.eclipse.datatools.modelbase.sql.accesscontrol
Interface SQLAccessControlFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface SQLAccessControlFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `SQLAccessControlPackage`

Field Summary
`static SQLAccessControlFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`Group` `createGroup()` Returns a new object of class 'Group'.
`Privilege` `createPrivilege()` Returns a new object of class 'Privilege'.
`Role` `createRole()` Returns a new object of class 'Role'.
`RoleAuthorization` `createRoleAuthorization()` Returns a new object of class 'Role Authorization'.
`User` `createUser()` Returns a new object of class 'User'.
`SQLAccessControlPackage` `getSQLAccessControlPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final SQLAccessControlFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createPrivilege

    Privilege createPrivilege()

  Returns a new object of class 'Privilege'.

  Returns:
    a new object of class 'Privilege'.

### createGroup

    Group createGroup()

  Returns a new object of class 'Group'.

  Returns:
    a new object of class 'Group'.

### createUser

    User createUser()

  Returns a new object of class 'User'.

  Returns:
    a new object of class 'User'.

### createRole

    Role createRole()

  Returns a new object of class 'Role'.

  Returns:
    a new object of class 'Role'.

### createRoleAuthorization

    RoleAuthorization createRoleAuthorization()

  Returns a new object of class 'Role Authorization'.

  Returns:
    a new object of class 'Role Authorization'.

### getSQLAccessControlPackage

    SQLAccessControlPackage getSQLAccessControlPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.